<template>
  <div :key="$route.fullPath">
    <div class="ecl-container ecl-site-header__container ">
      <div class="col header-top d-flex align-items-center">
        <div class="d-flex  justify-content-between  w-100 ">
          <a class="img-Wrap-anchor" href="https://european-union.europa.eu/index_en">
            <eu-icon :locale="locale"></eu-icon>
          </a>
          <div id="headIconWrap" class="d-flex align-items-stretch align-items-lg-center flex-wrap">
            <login class=" iconWrap" v-bind="$attrs" v-on="$listeners" />
            <language-selector class="position-relative" v-if="useLanguageSelector" />
            <div class="searchWrapper">
              <search-bar v-if="searchBarVisible" :hideOnMobileView="true" />
            </div>
          </div>
        </div>
      </div>
    </div>

  </div>
</template>
<!--  -->

<script>
import LanguageSelector from './LanguageSelector.vue';
import SearchBar from './SearchBar.vue';
import Login from './Login.vue';
import EuIcon from './EuIcon.vue';


export default {
  name: 'HeaderTop',
  components: {
    SearchBar,
    LanguageSelector,
    Login,
    EuIcon
  },
  props: {
    useLanguageSelector: {
      type: Boolean,
      default: true
    },
  },
  data() {
    return {
      isMSearchBarVisible: false,
      searchBarVisible: false,

    };
  },
  computed: {
    locale() {
      return this.$route.query.locale;
    }
  },
  methods: {
    initSearchBar() {
      this.searchBarVisible = this.showSearchBar(window.location.pathname);
    },
    toggleMobileSearchBar() {
      this.isMSearchBarVisible = !this.isMSearchBarVisible;
    },
    showSearchBar(path) {
      if (path === '/datasets') return false;
      if (path === '/data/datasets') return false;
      if (path === '/catalogues') return false;
      if (path === '/data/catalogues') return false;
      return true;
    }
  },
  watch: {
    $route(to) {
      this.searchBarVisible = this.showSearchBar(to.path);
    },
  },
  created() {
    this.initSearchBar();
  },
};
</script>

<style lang="scss">
.searchWrapper {

  // width: 50%;
  // z-index: 99;
  background: white;

}

// .header-top {
//   height: 100px;
// }
.mobile-logo {
  width: auto;
  height: 2.75rem;

}

.img-Wrap-anchor {
  display: flex;
  align-items: self-end;
}

.iconWrap {
  border-radius: 5px;
  padding: .75rem 1rem;
  margin-left: .75rem;

  &:hover {
    box-shadow: 0 2px 4px rgba(9, 49, 142, .08), 0 0 10px rgba(9, 49, 142, .04), 0 4px 5px rgba(9, 49, 142, .04), 0 -4px 4px rgba(9, 49, 142, .04);
  }
}

#headIconWrap {
  // padding: 0.5rem;
}

.mobile-menu-wrap {
  width: 100%;
}



@media (max-width: $laptop) {

  .border-right-left,
  .border-right-right {
    height: 100% !important;
  }

  .hamWrapper {
    display: flex;
    flex-direction: row-reverse;
    background: linear-gradient(90deg, #082b7a, #0e47cb);
    border-bottom: solid 6px #f2718a;

    #hamburger-menu {
      padding: 0.5rem;
      color: #fff;
    }
  }

  #menu-item-list {
    background-color: #fff;
    padding: 0 !important;

    .deu-menu__dropdown-list-item {
      a {
        color: $primary !important;
      }
    }

    span,
    svg {
      color: $primary !important;
    }

    .liWrapper {
      width: 100% !important;
    }

    .deu-menu__without-subitem {
      border: none !important;
    }

    .deu-menu__item {
      border-top: 1px solid #cfdaf5;
    }

    .dropdown-toggle {
      background-color: #e7edfa;
      height: 100%;
    }

  }

  #mobile-header-title {
    color: white !important;
    font-weight: 300;
  }

  .close-container {
    color: white !important;
  }

  .ecl-container {
    width: 100% !important;
  }

  .headline-wrap-inside {
    // padding: 1rem 1rem 0rem 2rem;
  }
}

// all the styles to 480px
@media (max-width: 575px) {

  .mobile-logo {
    width: auto;
    height: 2.75rem;
  }

  #headIconWrap svg {
    color: #004494;
    width: 18px;
  }

  .mobile-header-top-text {
    font-size: 0.7rem !important;
  }

  .locale {
    font-size: 0.5rem !important;
  }

  .headline-wrap-inside {
    padding: 0;
  }
  .region-footer-first-right {
    margin-top: 1rem;
  }
  #footer_first_left{
    margin-top: 1rem;
  }
}

.header-top {
  padding: 0 !important;
}

.header-top-button {
  cursor: pointer;
  user-select: none;


  &:hover,
  &:hover svg {
    // color: #404040;

  }

}

@media (max-width: $laptop) {
  .mobile-logo {
    width: auto;
    height: 1.85rem;
  }

  .img-Wrap-anchor {
    align-items: center;
  }

  #footer_first {
    padding: 0 !important;
  }

  .search-input {
    width: 290px !important;
  }

  .toplineHead {
    align-self: start !important;
  }

  .headline-wrap-inside {
    display: flex;
    flex-direction: column;
  }

  .headline-wrap {

    display: flex;
    justify-content: space-between;
  }



  .selectHead {
    margin-top: 1rem !important;
    margin-bottom: 2rem !important;
  }

  .modal-body {
    max-width: 100% !important;
  }

  #deu-header-breadcrumbs {
    .ecl-container {
      padding: 0 1rem;
    }
  }

  #mobile-header-back {
    color: #fff !important;
    font-weight: 300 !important;
  }

  .deu-menu__dropdown-list {
    font: normal normal 400 1.125rem/1.5rem arial, sans-serif !important;
  }

  .drupalBtnStyleMobileMenu {
    background: #fff !important;
  }

  .deu-menu__item-content {
    height: 25px;
    display: flex;
    align-items: center;

    span {
      font: normal normal 400 1.125rem/1.5rem arial, sans-serif !important;
      color: $primary-lighter;
    }
  }

  #navbar-toggle {
    border: none !important;
  }

  .headline-wrap {
    padding: 1rem;
  }

  .mobile-menu-wrap {
    width: 100%;
  }



  #hamburger-menu {
    padding: 1rem;
    color: #fff !important;
  }

  .mobile-menu-wrap {
    flex-direction: column;
  }

  .deu-headline-container {
    .ecl-container {
      padding-top: 0;

      &::before {
        border-top: 2px solid #cfdaf5 !important;
        content: "";
        width: 92% !important;
        position: absolute;
        top: -1px;
      }
    }
  }

  .toplineHead {
    font: normal normal 400 1.25rem/1.75rem arial, sans-serif !important;
    font-weight: 700 !important;
  }

  .header-top-button {
    padding: 0.5rem 0;

    img {
      width: 1.25rem !important;
      margin-right: 0 !important;

    }
  }

  .deu-header__container {
    padding: 0 !important;
  }

  ecl-container {
    max-width: 480px;
    padding: 1rem 0.5rem !important;
  }

  #headIconWrap {
    margin: 0 0.55rem;
    padding: 0;
    display: flex !important;
    align-items: center !important;
  }

  .iconWrap {
    padding: 0;
  }
}

.search-icon {
  color: #fff;
  font-size: 1.25rem !important;
}



.mobile-header-top-text {
  color: $primary-lighter;
  font-size: 1rem;

}
</style>
